openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vedran Vidović (JIRA) <j...@apache.org>
Subject [jira] Commented: (OPENJPA-1951) missing key "cant-set-value" in localizer properties org.apache.openjpa.jdbc.meta.strats
Date Thu, 24 Feb 2011 15:06:38 GMT

    [ https://issues.apache.org/jira/browse/OPENJPA-1951?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12998880#comment-12998880
] 

Vedran Vidović commented on OPENJPA-1951:
-----------------------------------------

Unfortunately an OpenJPA 2.1.x CAN'T be used with jdk 1.5, here is a simple test which can
prove that:
java -cp openjpa-jdbc-2.1.0.jar org.apache.openjpa.jdbc.meta.MappingTool
The java class could not be loaded. java.lang.UnsupportedClassVersionError: (org/apache/openjpa/jdbc/meta/MappingTool)
bad major version at offset=6

And this stops us from using it in current project :(

> missing key "cant-set-value" in localizer properties org.apache.openjpa.jdbc.meta.strats
> ----------------------------------------------------------------------------------------
>
>                 Key: OPENJPA-1951
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-1951
>             Project: OpenJPA
>          Issue Type: Bug
>          Components: jdbc
>    Affects Versions: 2.0.1
>            Reporter: Vedran Vidović
>            Assignee: Michael Dick
>             Fix For: 2.0.2, 2.1.0, 2.2.0
>
>
> Key cant-set-value is missing in properties file org.apache.openjpa.jdbc.meta.strats
in openjpa-jdbc-2.0.1.jar so we don't get descriptive message in case this exception occurs.
> To reproduce it set some field as not nullable in jpa and try to update it with null
value.

-- 
This message is automatically generated by JIRA.
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message